手把手教你使用工具切换 node 版本

文章2023-05-2371 人已阅来源:网络

本篇文章给大家介绍一下怎么使用工具切换 node 版本,让 node 版本更贴合项目的需要,防止报错。有一定的参考价值,希望对大家有所帮助!

手把手教你使用工具切换 node 版本

之前都没有接触过需要切换 node 版本的情况,直到有一天,运行一个项目,出现报错:ReferenceError: primordials is not defined,这个报错的原因,是我现在使用的 node 版本太高,所以需要降 node 版本。【推荐学习:《nodejs 教程》】

学会用工具切换 node 版本

其实在一台电脑上使用不同版本的 node,比较常见,因为你不能保证你当前的项目就是使用最新的 node,不排除有老的项目,在切换使用频繁的情况下,你不可能卸载,然后重装吧。

这个时候就可以使用到一个 node 版本管理工具。

我的电脑是 win,所以我就使用 nvm 啦,用着还可以。

下载nvm并安装 (推荐使用nvm-setup.zip) https://github.com/coreybutler/nvm-windows/releases

nvm 基本命令使用

查看 nvm 安装版本

nvm v
//或
nvm version

查看所有可安装 Node 版本号

nvm list available

查看已安装node版本

nvm ls
//或
nvm list

安装

//安装指定版本(推荐)
nvm install 14.8.0

卸载

// 14.8.0 是版本号
nvm uninstall 14.8.0

使用指定版本node

// 14.8.0 是版本号
nvm use 14.8.0

查看所有命令

nvm help

写到最后

为什么写这篇文章呢?一方面是因为自己有时候容易忘记,所以写篇文章记录下,另一方面,是这其实也是工作遇到的一些问题,然后通过学习某些东西,而解决掉了。当然成功运行项目,只是第一步,接下来走得每一步都算数,加油!

完。

更多编程相关知识,请访问:编程学习!!

以上就是手把手教你使用工具切换 node 版本的详细内容!